dnl $Id: config.m4,v 2.3 2006/10/17 08:36:36 cgkang Exp $
dnl config.m4 for extension cubrid
dnl don't forget to call PHP_EXTENSION(cubrid)

dnl If your extension references something external, use with:

PHP_ARG_WITH(pdo-cubrid, for CUBRID support for PDO,
[  --with-pdo-cubrid         PDO: CUBRID support.])

if test "$PHP_PDO_CUBRID" != "no"; then

	cubrid_dir=`dirname $0`
    CUBRID_INCDIR=""
    CUBRID_LIBDIR=""

    case $host in
      *-linux-*) os=linux ;;
    esac

    if test "$os" = "linux"; then
        CUBRID_INCDIR="$cubrid_dir/cci/include"

        AC_CHECK_SIZEOF([int *])

        if test "$ac_cv_sizeof_int_p" = "8"; then
            CUBRID_LIBDIR="$cubrid_dir/cci/lib64/linux"
        else
            CUBRID_LIBDIR="$cubrid_dir/cci/lib/linux"
        fi
    else
        AC_MSG_ERROR([Your OS not supported. Exit.])
    fi

    if ! test -r "$CUBRID_INCDIR/cas_cci.h"; then
        AC_MSG_ERROR([$cubrid_dir/$CUBRID_INCDIR/cas_cci.h not found. This package must be broken. Please report a bug.])
    fi

    if test -r "$CUBRID_LIBDIR/libcascci.a"; then
        #
        # libcascci.a depends on pthread and stdc++.
        #

        PHP_CHECK_LIBRARY("pthread", pthread_create, [], [
        AC_MSG_ERROR([pthread library not found! Please install it at first.])
        ], [])
    
        PHP_CHECK_LIBRARY("stdc++", main, [], [
        AC_MSG_ERROR([stdc++ library not found! Please install it at before.])
        ], [])

    else
        AC_MSG_ERROR([libcascci.a not found. Please download this package again. If it still doesn't work, please report a bug. Exit.])
    fi

    dnl Action..
    PHP_ADD_INCLUDE($CUBRID_INCDIR)

    PHP_ADD_LIBRARY(stdc++, , PDO_CUBRID_SHARED_LIBADD)
    PHP_ADD_LIBRARY(pthread, , PDO_CUBRID_SHARED_LIBADD)
    LDFLAGS="$LDFLAGS $CUBRID_LIBDIR/libcascci.a"
  
    PHP_SUBST(PDO_CUBRID_SHARED_LIBADD)

    PHP_NEW_EXTENSION(pdo_cubrid, pdo_cubrid.c cubrid_driver.c cubrid_statement.c, $ext_shared,,-I$pdo_inc_path -I)
    ifdef([PHP_ADD_EXTENSION_DEP],
    [
        PHP_ADD_EXTENSION_DEP(pdo_cubrid, pdo) 
    ])
fi
